function [theta log_like] = starting_values(y_sq)

unc_var = mean(y_sq);
theta = zeros(3,1);
log_like = -1e10;
test = 0;
nb_max = 10000;
iter = 0;
while(test==0 || iter>nb_max)
    theta(1) = unc_var + randn()*0.05;
    theta(2) = rand()*0.2;
    theta(3) = 0.5 + rand()*(0.5-theta(2));
    if(sum(theta>0)==3)
        [log_like] = GARCH_likelihood(y_sq,theta);
        if(isreal(log_like)==1)
            test = 1;
        end
    end
    iter = iter+1;
end

if(iter>nb_max)
    error('Impossible to find out starting values');
end